
<?php
@session_start();
 $vg_login=$_SESSION["usuario"];

 if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='index.php';";
   echo "</script>";
  }	

include "../../seguridad.php" ;
$vp_nompro="sige";
	$sql_codpro=mysqli_query($conseg,"select Id,Nombre,descripcion,version,sigla 
						from programa where Nombre='".trim($vp_nompro)."'");
	while($datos= mysqli_fetch_row($sql_codpro))//01
	{
	  $vr_codpro=$datos[0];
	  $nombreprograma=$datos[1];
	  $descripcion=$datos[2];
	  $version=$datos[3];
	  $sigla=$datos[4];
	}
	

	$sql_codpro=mysqli_query($conseg,"select perfil	 from permiso where login='".$vg_login."' and programa='".$vr_codpro."'");
	while($datos= mysqli_fetch_row($sql_codpro))//01
	{
	  $perfil=$datos[0];
	}	

	$sql_codpro=mysqli_query($conseg,"select nombre	 from perfil where id='".$perfil."'");
	while($datos= mysqli_fetch_row($sql_codpro))//01
	{
	    $nperfil=$datos[0];
	}

include "../../conexion.php";

 $sql_datos =mysqli_query($conexion,"select count(*) as contar FROM agenda_tareasempresa
									 where month(fecha)");
 while($datos= mysqli_fetch_row($sql_datos)){  $contar=$datos[0]; }		

 $fechadia=date("Y-m-d");
 $vg_empresa=$_REQUEST["empresa"];
 $sql_datos =mysqli_query($conexion,"select nombre FROM empresa where id='".$vg_empresa."'");
 while($datos= mysqli_fetch_row($sql_datos)){  $nempresa=$datos[0]; }		
 echo "<center><p style='font-size:30'> CALENDARIO TRIBUTARIO $nempresa</p></center>";
?>
<!DOCTYPE html>
<html>
<head>
<meta charset='utf-8' />
<link href='../packages/core/main.css' rel='stylesheet' />
<link href='../packages/daygrid/main.css' rel='stylesheet' />
<link href='../packages/timegrid/main.css' rel='stylesheet' />
<link href='../packages/list/main.css' rel='stylesheet' />



<script src='../packages/core/main.js'></script>
<script src='../packages/interaction/main.js'></script>
<script src='../packages/daygrid/main.js'></script>
<script src='../packages/timegrid/main.js'></script>
<script src='../packages/list/main.js'></script>

  <script src="../../js/jquery.min.js"></script>
  <link href="../../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../../bootstrap/js/bootstrap.min.js"></script>

<script>

			  
  document.addEventListener('DOMContentLoaded', function() {
    var calendarEl = document.getElementById('calendar');

    var calendar = new FullCalendar.Calendar(calendarEl, {
      plugins: [ 'interaction', 'dayGrid', 'timeGrid', 'list' ],
      header: {
        left: 'prev,next today',
        center: 'title',
        right: 'dayGridMonth,timeGridWeek,timeGridDay,listMonth'
      },
      defaultDate: '<?php echo $fechadia;?>',
      navLinks: true, // can click day/week names to navigate views
      businessHours: true, // display business hours
      editable: true,
      events: [
	  
	  <?php
	  $c=0;
		 $sql_datos =mysqli_query($conexion,"select fecsis,horasis,actividad,fecha,estado,usuario,empresa,id,fechafin,horai,horaf
										 FROM agenda_tareasempresa where empresa='".$vg_empresa."'");
	 while($datos= mysqli_fetch_row($sql_datos))
			{	
				$fecsis=$datos[0]; 				
				$horasis=$datos[1]; 
				$actividad=$datos[2];	
				$fecha=$datos[3];
				$estado=$datos[4];
				$usuario=$datos[5];																						
				$recurso=$datos[6];
				$id=$datos[7];	
				$fechafin=$datos[8];
				$horai=$datos[9];
				$horaf=$datos[10];
				$color="";$maxid="";
				if($horai=="00"){$horai="";}
				else {$horai="T".$horai.":00:00";}
				
				if($horaf=="00"){$horaf="";}
				else {$horaf="T".$horaf.":00:00";}
					
				$c++;
				$salidaactividad=$actividad;
				$url='../../tarea/frm_tareaseguimiento.php?id=$id';
				
				$sql_des1=mysqli_query($conexion,"select nombre,color FROM estado where id='".$estado."'");
				while($datosrs= mysqli_fetch_row($sql_des1)){ $nestado=$datosrs[0];$color=$datosrs[1];}
				
				
				  $sql_datosrs=mysqli_query($conexion,"SELECT count(*) FROM agenda_tareasempresa_seguimiento where idtarea='".$id."'");
				  while($datoslog= mysqli_fetch_row($sql_datosrs))  {	   $contarsegui=$datoslog[0];	 }	 
				  if($contarsegui>=1)
				   {
					  $sql_datosrs=mysqli_query($conexion,"SELECT max(id) FROM agenda_tareasempresa_seguimiento where idtarea='".$id."'");
					  while($datoslog= mysqli_fetch_row($sql_datosrs))  {	   $maxid=$datoslog[0];	 }	 
					  
						if($maxid<>"")
						 {
						   $sql_datosrs=mysqli_query($conexion,"SELECT estado.nombre,estado.color FROM agenda_tareasempresa_seguimiento,estado
															 where agenda_tareasempresa_seguimiento.id='".$maxid."'
															 and agenda_tareasempresa_seguimiento.estado=estado.id");
						   while($datoslog= mysqli_fetch_row($sql_datosrs))  {	  $nestado=$datoslog[0]; $color=$datoslog[1];	 }	  
						 } 
				   }
				   
			    if($c<$contar)
				 { 	
  	          ?>
					{
					  title: '<?php echo $salidaactividad; ?>',
					  start: '<?php echo $fecha;?><?php echo $horai;?>',
			          end: '<?php echo $fechafin;?><?php echo $horaf;?>',
					  color: '<?php echo $color; ?>',
					},
		   <?php
		         }
			  else
			    {	  
 		  ?>  			
					{
					  title: '<?php echo $salidaactividad; ?>',
					  start: '<?php echo $fecha;?><?php echo $horai;?>',
					  end: '<?php echo $fechafin;?><?php echo $horaf;?>',
					  color: '<?php echo $color; ?>'
					}
		  <?php
		         }
			}	 
		   ?>		
       
		
      ]
    });

    calendar.render();
  });

</script>
<style>

  body {
    margin: 40px 10px;
    padding: 0;
    font-family: Arial, Helvetica Neue, Helvetica, sans-serif;
    font-size: 15px;
  }

  #calendar {
    max-width: 900px;

    margin: 0 auto;
  }

</style>
</head>
<body>

  <div id='calendar'></div>

</body>
</html>
